Bug 970816 - SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the file ip_forward.
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the file ip...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:63f3e229986ad996a3e39d72d2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 21:38 EDT by Zach Stuart
Modified: 2013-07-24 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zach Stuart 2013-06-04 21:38:22 EDT
Description of problem:
attempting to share cellular internet connectivity from my iPhone
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the file ip_forward.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed write access on the ip_forward file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysctl_net_t:s0
Target Objects                ip_forward [ file ]
Source                        blueman-mechani
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.3-13.fc18.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.i686 #1 SMP Fri May
                              24 20:35:02 UTC 2013 i686 i686
Alert Count                   2
First Seen                    2013-06-04 20:35:23 CDT
Last Seen                     2013-06-04 20:35:36 CDT
Local ID                      7a153569-6a0f-4ca4-a09d-ee9f577458f8

Raw Audit Messages
type=AVC msg=audit(1370396136.445:434): avc:  denied  { write } for  pid=4409 comm="blueman-mechani" name="ip_forward" dev="proc" ino=11417 scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=file


type=SYSCALL msg=audit(1370396136.445:434): arch=i386 syscall=open success=no exit=EACCES a0=92d15a0 a1=8241 a2=1b6 a3=92d4cd0 items=0 ppid=1 pid=4409 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: blueman-mechani,blueman_t,sysctl_net_t,file,write

audit2allow

#============= blueman_t ==============
allow blueman_t sysctl_net_t:file write;

audit2allow -R
require {
	type blueman_t;
}

#============= blueman_t ==============
kernel_rw_net_sysctls(blueman_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-06-07 05:39:02 EDT
Added.

commit 1bc6f532f84fd53d58e8b1682c3c0edce38fe3ed
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Jun 7 11:38:26 2013 +0200

    Allow blueman to write ip_forward
Comment 2 Fedora Update System 2013-06-27 09:34:50 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:09:02 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:38:50 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.